> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Webhook

> Create a new



## OpenAPI

````yaml /api-reference/openapi.json post /v1/webhook/
openapi: 3.1.0
info:
  title: Diga API
  version: 0.1.0
servers:
  - url: https://api.diga.io
    description: Production
security: []
paths:
  /v1/webhook/:
    post:
      tags:
        - Webhooks
      summary: Create Webhook
      description: Create a new
      operationId: create_webhook_v1_webhook__post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookResponse'
        '403':
          description: Forbidden - Insufficient permissions
          content:
            application/json:
              example:
                status: error
                error_code: INTERNAL_SERVER_ERROR
                message: Missing required permissions
              schema:
                $ref: '#/components/schemas/ErrorResponseSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                status: error
                error_code: INTERNAL_SERVER_ERROR
                message: 'Error: Internal Server Error'
              schema:
                $ref: '#/components/schemas/ErrorResponseSchema'
      security:
        - CustomHTTPBearer: []
components:
  schemas:
    WebhookRequest:
      properties:
        url:
          type: string
          minLength: 1
          format: uri
          title: Webhook URL
          description: >-
            The URL that the webhook will call to send the events specified in
            the `subscribed_events` field
        subscribed_events:
          items:
            $ref: '#/components/schemas/WebhookEvent'
          type: array
          title: Subscribed Events
          description: >-
            The events that the webhook will send to the URL. Specify the
            different events you want the webhook to send to the URL
      type: object
      required:
        - url
        - subscribed_events
      title: WebhookRequest
    WebhookResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Webhook Id
          description: The unique identifier for the webhook
        url:
          type: string
          title: Webhook URL
          description: >-
            The URL that the webhook will call to send the events specified in
            the `subscribed_events` field
        subscribed_events:
          items:
            $ref: '#/components/schemas/WebhookEvent'
          type: array
          title: Subscribed Events
          description: >-
            The events that the webhook will send to the URL. Specify the
            different events you want the webhook to send to the URL
        created_date:
          type: string
          format: date-time
          title: Created Date
          description: The datetime when the webhook was created
      type: object
      required:
        - id
        - url
        - subscribed_events
        - created_date
      title: WebhookResponse
    ErrorResponseSchema:
      properties:
        status:
          type: string
          title: Status
          description: Status of the response, always 'error' for error responses
          default: error
        error_code:
          type: string
          title: Error Code
          description: Machine-readable error code in SCREAMING_SNAKE_CASE format
          examples:
            - PROJECT_NOT_FOUND
            - INVALID_EMAIL
            - UNAUTHORIZED_ROLE
        message:
          type: string
          title: Message
          description: Human-readable error message with details
          examples:
            - Project with id 550e8400-e29b-41d4-a716-446655440000 not found
            - The email invalid@email is not valid
            - Insufficient permissions to perform this action
      type: object
      required:
        - error_code
        - message
      title: ErrorResponseSchema
      description: Standard error response format for all API errors.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WebhookEvent:
      type: string
      enum:
        - status_changed
      title: WebhookEvent
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    CustomHTTPBearer:
      type: http
      scheme: bearer

````